# Layout | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Layout

- Defined in: Layout.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Layout()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| created
| creator
| images
| metadata
| mode
| modified
| modifier
| origin
| originated
| originator
| site
| skins
<static> <constant> | Layout.VALUES

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Layout.add(site, user)
| getArchive(skinPath)
| getConfirmText()
| getFile(name)
| getFormOptions(name)
| getImage(name, fallback)
| getMacroHandler(name)
<static> | Layout.getModes()
| getPermission(action)
| getSkinPath()
| href(action)
| image_macro(param, name, mode)
<static> | Layout.remove(layout, includeSelf)
| reset()
<static> | Layout.sandbox(value)
| sandbox_macro()
| update(data)
| values_macro()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Layout()

## Field Detail

{Date} created
{User} creator
{Images} images
{Metadata} metadata
{String} mode
{Date} modified
{User} modifier
{String} origin
{Date} originated
{String} originator
{Site} site
{Skins} skins
<static> <constant> Layout.VALUES

## Method Detail

- <static> {Layout} Layout.add(site, user)
  Parameters:
  {Site} site
  {User} user
  Returns:
    {Layout}
- {helma.Zip} getArchive(skinPath)
  Parameters:
  {String} skinPath
  Returns:
    {helma.Zip}
- {String} getConfirmText()
  Returns:
    {String}
- {helma.File} getFile(name)
  Parameters:
  {String} name
  Returns:
    {helma.File}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {Image} getImage(name, fallback)
  Parameters:
  {String} name
  {String} fallback
  Returns:
    {Image}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- <static> {String[]} Layout.getModes()
  Returns:
    {String[]}
  See:
    defineConstants
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {String[]} getSkinPath()
  Returns:
    {String[]}
- {String} href(action)
  Parameters:
  {String} action
  Returns:
    {String}
- image_macro(param, name, mode)
  Parameters:
  {Object} param
  {String} name
  {String} mode
- <static> Layout.remove(layout, includeSelf)
  Parameters:
  {Layout} layout
  {Boolean} includeSelf
- reset()
- <static> {Boolean} Layout.sandbox(value)
  Parameters:
  {Boolean} value Optional
  Returns:
    {Boolean}
- sandbox_macro()
- update(data)
  Parameters:
  {Object} data
- values_macro()